#include <bits/stdc++.h>
#include <fstream>
using namespace std;

int main() {
	ifstream f1("DEMTU.INP");
	ofstream f2("DEMTU.OUT");
	char s[255];
	f1.getline(s,255);
	int n=strlen(s),i;
	int dem=0;
	if(s[0]!=' ')
		dem=1;
	for( i=0;i<=n-1;i++)
	{
		if(s[i]==' ' && s[i+1]!=' ')
			dem++;
	}
	f2<<dem;
	

	return 0;
}
